'use strict';

/**
 * Module dependencies.
 */

var integration = require('@segment/analytics.js-integration');

/**
 * Expose `Stripe` integration.
 */

var StripeRadar = module.exports = integration('Stripe Radar')
  .tag('<script src="https://js.stripe.com/v2/">');

/**
 * Initialize.
 *
 * @api public
 */

StripeRadar.prototype.initialize = function() {
  this.load(this.ready);
};

/**
 * Loaded?
 *
 * @api private
 * @return {boolean}
 */

StripeRadar.prototype.loaded = function() {
  return window.Stripe;
};

